Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

# Class DifferenceGroupManager

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.DifferenceGroupManager

public class DifferenceGroupManager extends Object
This manager can be used to modify EMF Compare UI behavior regarding groups.

This manager can override the rank of groups. For example, it can be used to define a default group that will be used by EMF Compare UI.

This manager can define a synchronization behavior between a user selection of group in EMF Compare UI and the default group that is used by EMF Compare UI.

## Constructor Summary

Constructors
Constructor
Description
`DifferenceGroupManager(IItemRegistry<IDifferenceGroupProvider.Descriptor> registry, org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
`getCurrentGroupRanking(boolean isThreeWay)`
Gets the current group order.
`List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`
`getDefaultRankingConfiguration(boolean isThreeWay)`
Gets the default groups order.
`void`
`setCurrentGroupRanking(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> descriptors, boolean isThreeWay)`
Sets the ranking of Difference group provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceGroupManager

public DifferenceGroupManager(IItemRegistry<IDifferenceGroupProvider.Descriptor> registry, org.eclipse.jface.preference.IPreferenceStore preferenceStore)
Constructor.

Parameters:
  `registry` - Registry of `IDifferenceGroupProvider.Descriptor`.
  `preferenceStore` - The `IPreferenceStore` holding the value for group preferences.

## Method Details

### getCurrentGroupRanking

public List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> getCurrentGroupRanking(boolean isThreeWay)
Gets the current group order.

Parameters:
  `isThreeWay` - True if three way comparison, false otherwise.
Returns:
  Ordered `List` of `IDifferenceGroupProvider.Descriptor`.

### getDefaultRankingConfiguration

public List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> getDefaultRankingConfiguration(boolean isThreeWay)
Gets the default groups order.

Parameters:
  `isThreeWay` - True if three way comparison, false otherwise.
Returns:
  Ordered `List` of `IDifferenceGroupProvider.Descriptor`.

### setCurrentGroupRanking

public void setCurrentGroupRanking(List<IItemDescriptor<IDifferenceGroupProvider.Descriptor>> descriptors, boolean isThreeWay)
Sets the ranking of Difference group provider.

Parameters:
  `descriptors` - An ordered list of `IItemDescriptor`.
  `isThreeWay` - True if three way comparison.